<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="694fa49d-7430-4dc6-80e8-d6e73ebd57e6" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/public/api/index.html" beforeDir="false" afterPath="$PROJECT_DIR$/public/api/index.html" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings">
    <execution>
      <executable />
    </execution>
  </component>
  <component name="FileColors">
    <fileColor scope="Non-Project Files (Material Default)" color="2E3C43" />
    <fileColor scope="Non-Project Files (Material Darker)" color="323232" />
    <fileColor scope="Non-Project Files (Material Lighter)" color="eae8e8" />
    <fileColor scope="Non-Project Files (Material Palenight)" color="2f2e43" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/App/Script/Controller/Server.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="589">
              <caret line="36" column="41" selection-start-line="36" selection-start-column="41" selection-end-line="36" selection-end-column="41" />
              <folding>
                <element signature="e#135#176#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Library/Vestacp.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="272">
              <caret line="35" selection-start-line="35" selection-end-line="35" />
              <folding>
                <element signature="e#36#65#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/vendor/proficlos/vestacp-api/src/VestaCP/Client.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="161">
              <caret line="148" selection-start-line="148" selection-end-line="148" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/vendor/proficlos/vestacp-api/src/VestaCP/Module/Mails.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="294">
              <caret line="73" selection-start-line="73" selection-end-line="73" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Frame/Controller.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="148">
              <caret line="41" selection-start-line="41" selection-end-line="41" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Frame/Dispatcher.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="104">
              <caret line="120" selection-start-line="120" selection-end-line="120" />
              <folding>
                <element signature="e#33#57#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/vendor/guzzlehttp/promises/src/TaskQueue.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="259">
              <caret line="28" selection-start-line="28" selection-end-line="28" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/vendor/guzzlehttp/guzzle/src/Handler/CurlMultiHandler.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="224">
              <caret line="58" selection-start-line="58" selection-end-line="58" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/public/api/index.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="522">
              <caret line="56" column="41" selection-start-line="56" selection-start-column="41" selection-end-line="56" selection-end-column="41" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/App/Api/Controller/User/Auth.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="31">
              <caret line="9" column="1" lean-forward="true" selection-start-line="9" selection-start-column="1" selection-end-line="9" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>Phplife</find>
      <find>PhpLife</find>
      <find>MeiTu</find>
      <find>:</find>
      <find>user/u</find>
      <find>mail/lists</find>
      <find>$.YSM.ml</find>
      <find>mail/count/unread</find>
      <find>$.YSM.mcu</find>
      <find>imap_search</find>
      <find>$.YSM.mc</find>
      <find>authKey</find>
      <find>$.YSM.u</find>
    </findStrings>
    <replaceStrings>
      <replace>Heanup</replace>
      <replace>=&gt;</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/public/index.php" />
        <option value="$PROJECT_DIR$/vendor/phalapi/kernal/src/functions.php" />
        <option value="$PROJECT_DIR$/vendor/phalapi/kernal/src/PhalApi.php" />
        <option value="$PROJECT_DIR$/index.php" />
        <option value="$PROJECT_DIR$/constants.php" />
        <option value="$PROJECT_DIR$/Frame/Response.php" />
        <option value="$PROJECT_DIR$/Frame/Dispatcher.php" />
        <option value="$PROJECT_DIR$/Config/Route.php" />
        <option value="$PROJECT_DIR$/Frame/Config.php" />
        <option value="$PROJECT_DIR$/Frame/Logger.php" />
        <option value="$PROJECT_DIR$/App/Api/RestfulController.php" />
        <option value="$PROJECT_DIR$/Autoload.php" />
        <option value="$PROJECT_DIR$/Frame/Controller.php" />
        <option value="$PROJECT_DIR$/App/Api/Config/Route.php" />
        <option value="$PROJECT_DIR$/App/Api/Config/Vestacp.php" />
        <option value="$PROJECT_DIR$/Library/Vestacp.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller.php" />
        <option value="$PROJECT_DIR$/Config/MySQL/Core.php" />
        <option value="$PROJECT_DIR$/App/Api/Package/Database/Mail.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Cloudflare.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Imap.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Index.php" />
        <option value="$PROJECT_DIR$/App/Api/Template/Index.phtml" />
        <option value="$PROJECT_DIR$/public/api/index.php" />
        <option value="$PROJECT_DIR$/App/Api/Template/Detail.phtml" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Vestacp/Users.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/User/U.php" />
        <option value="$PROJECT_DIR$/App/Api/Template/Domain.phtml" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Vestacp/Domain.php" />
        <option value="$PROJECT_DIR$/public/api/ysmailclient/js/ysmail.js" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Mail/Lists.php" />
        <option value="$PROJECT_DIR$/vendor/php-imap/php-imap/src/PhpImap/Mailbox.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Mail/Count/Unread.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/User/Lists.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/User/User.php" />
        <option value="$PROJECT_DIR$/Frame/Helper.php" />
        <option value="$PROJECT_DIR$/Frame/Init.php" />
        <option value="$PROJECT_DIR$/public/api/ysmailclient/js/index.js" />
        <option value="$PROJECT_DIR$/public/api/ysmailclient/index.html" />
        <option value="$PROJECT_DIR$/App/Script/Controller/Server.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/User/Auth.php" />
        <option value="$PROJECT_DIR$/public/api/index.html" />
      </list>
    </option>
  </component>
  <component name="PhpServers">
    <servers>
      <server host="mail.x.97admin.com" id="7b5474da-07a7-46ce-9512-f0cd6d8d2166" name="mail.x.97admin.com" />
    </servers>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="x" value="1440" />
    <option name="y" value="-180" />
    <option name="width" value="1920" />
    <option name="height" value="1080" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MailApi" type="b2602c69:ProjectViewProjectNode" />
              <item name="MailApi" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MailApi" type="b2602c69:ProjectViewProjectNode" />
              <item name="MailApi" type="462c0819:PsiDirectoryNode" />
              <item name="App" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MailApi" type="b2602c69:ProjectViewProjectNode" />
              <item name="MailApi" type="462c0819:PsiDirectoryNode" />
              <item name="App" type="462c0819:PsiDirectoryNode" />
              <item name="Api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MailApi" type="b2602c69:ProjectViewProjectNode" />
              <item name="MailApi" type="462c0819:PsiDirectoryNode" />
              <item name="App" type="462c0819:PsiDirectoryNode" />
              <item name="Api" type="462c0819:PsiDirectoryNode" />
              <item name="Controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MailApi" type="b2602c69:ProjectViewProjectNode" />
              <item name="MailApi" type="462c0819:PsiDirectoryNode" />
              <item name="App" type="462c0819:PsiDirectoryNode" />
              <item name="Api" type="462c0819:PsiDirectoryNode" />
              <item name="Controller" type="462c0819:PsiDirectoryNode" />
              <item name="User" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/public/api" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="project.propVCSSupport.Mappings" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/public/api" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/public/api" />
      <recent name="$PROJECT_DIR$/App/Api" />
      <recent name="$PROJECT_DIR$/Frame" />
      <recent name="$PROJECT_DIR$/App/Api/Config" />
      <recent name="$PROJECT_DIR$/Config" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration>$USER_HOME$/.subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="694fa49d-7430-4dc6-80e8-d6e73ebd57e6" name="Default Changelist" comment="" />
      <created>1559905385308</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1559905385308</updated>
      <workItem from="1559905386946" duration="26366000" />
    </task>
    <task id="LOCAL-00001" summary="11111">
      <created>1560129466821</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1560129466821</updated>
    </task>
    <task id="LOCAL-00002" summary="11111">
      <created>1560129846605</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1560129846605</updated>
    </task>
    <task id="LOCAL-00003" summary="11111">
      <created>1560129954048</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1560129954048</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="26366000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="1440" y="-180" width="1920" height="1080" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.185836" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="0" weight="0.32961586" />
      <window_info anchor="bottom" id="Database Changes" order="1" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="3" />
      <window_info anchor="bottom" id="Docker" order="4" />
      <window_info anchor="bottom" id="Message" order="5" />
      <window_info anchor="bottom" id="Find" order="6" />
      <window_info anchor="bottom" id="Run" order="7" />
      <window_info anchor="bottom" id="Debug" order="8" weight="0.39900866" />
      <window_info anchor="bottom" id="Cvs" order="9" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="10" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="11" />
      <window_info anchor="right" id="Database" order="0" />
      <window_info anchor="right" id="1024 Tools" order="1" />
      <window_info anchor="right" id="Commander" order="2" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="3" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="4" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <ignored-roots>
      <path value="$PROJECT_DIR$/public/api/ysmailclient" />
    </ignored-roots>
    <MESSAGE value="11111" />
    <option name="LAST_COMMIT_MESSAGE" value="11111" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="php">
          <url>file://$PROJECT_DIR$/App/Api/Controller/Index.php</url>
          <line>18</line>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="php">
          <url>file://$PROJECT_DIR$/App/Script/Controller/Server.php</url>
          <line>29</line>
          <option name="timeStamp" value="10" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/Frame/Logger.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="400">
          <caret line="264" column="13" selection-start-line="264" selection-start-column="13" selection-end-line="264" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="76">
          <caret line="6" column="6" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/RestfulController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="247">
          <caret line="13" column="42" lean-forward="true" selection-start-line="13" selection-start-column="42" selection-end-line="13" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/composer/ClassLoader.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="141">
          <caret line="325" selection-start-line="325" selection-end-line="325" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Autoload.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="27" selection-start-line="27" selection-end-line="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Config/Route.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="266">
          <caret line="19" column="65" selection-start-line="19" selection-start-column="65" selection-end-line="19" selection-end-column="65" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/composer.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="11" selection-start-line="11" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Library/Postgres.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="81">
          <caret line="48" column="25" lean-forward="true" selection-start-line="42" selection-start-column="7" selection-end-line="48" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Library/Telegram.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="247">
          <caret line="18" column="1" selection-start-line="18" selection-start-column="1" selection-end-line="18" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Library/Curl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-845">
          <caret line="12" column="6" selection-start-line="12" selection-start-column="6" selection-end-line="12" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Config/Vestacp.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="11" column="17" selection-start-line="11" selection-start-column="9" selection-end-line="11" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="19">
          <caret line="61" column="34" selection-start-line="61" selection-start-column="34" selection-end-line="61" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/qingbing/php-abstracts-component/src/abstracts/Component.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="353">
          <caret line="30" column="35" selection-start-line="30" selection-start-column="35" selection-end-line="30" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/qingbing/php-config/src/Config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1252">
          <caret line="30" column="27" selection-start-line="30" selection-start-column="27" selection-end-line="30" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Config/MySQL/Core.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="589">
          <caret line="31" column="13" selection-start-line="31" selection-start-column="13" selection-end-line="31" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Package/Database/Mail.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="10" column="37" selection-start-line="10" selection-start-column="37" selection-end-line="10" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/jamesryanbell/cloudflare/src/CloudFlare/Api.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="365">
          <caret line="55" column="33" selection-start-line="55" selection-start-column="33" selection-end-line="55" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Dns.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1109">
          <caret line="16" column="6" selection-start-line="16" selection-start-column="6" selection-end-line="16" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Cloudflare.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="23" column="36" selection-start-line="23" selection-start-column="36" selection-end-line="23" selection-end-column="36" />
          <folding>
            <element signature="e#47#66#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="342">
          <caret line="18" column="24" selection-start-line="18" selection-start-column="24" selection-end-line="18" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Template/Index.phtml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="8" selection-start-line="8" selection-end-line="17" selection-end-column="95" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/standard/standard_9.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="279">
          <caret line="125" column="9" selection-start-line="125" selection-start-column="9" selection-end-line="125" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Vestacp/Users.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="17" column="26" lean-forward="true" selection-start-line="17" selection-start-column="26" selection-end-line="17" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Template/Domain.phtml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="913">
          <caret line="57" lean-forward="true" selection-start-line="57" selection-end-line="57" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Template/Detail.phtml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="338">
          <caret line="29" column="48" selection-start-line="29" selection-start-column="48" selection-end-line="29" selection-end-column="48" />
          <folding>
            <element signature="n#style#0;n#div#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/ysmailclient/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="171">
            <caret line="9" column="22" selection-start-line="9" selection-start-column="22" selection-end-line="9" selection-end-column="22" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/zeroclipboard/ZeroClipboard.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="256">
          <caret line="721" column="28" selection-start-line="721" selection-start-column="28" selection-end-line="721" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Imap.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="30" column="19" selection-start-line="30" selection-start-column="19" selection-end-line="30" selection-end-column="19" />
          <folding>
            <element signature="e#47#84#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/php-imap/php-imap/src/PhpImap/Mailbox.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="188">
          <caret line="445" column="50" lean-forward="true" selection-start-line="445" selection-start-column="50" selection-end-line="445" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Mail/Count/Unread.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="589">
          <caret line="33" column="39" selection-start-line="33" selection-start-column="39" selection-end-line="33" selection-end-column="39" />
          <folding>
            <element signature="e#58#99#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Vestacp/Domain.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="611">
          <caret line="126" column="9" lean-forward="true" selection-start-line="105" selection-start-column="7" selection-end-line="126" selection-end-column="9" />
          <folding>
            <element signature="e#55#96#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="114">
          <caret line="6" column="26" selection-start-line="6" selection-start-column="26" selection-end-line="6" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Frame/Helper.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="369">
          <caret line="310" column="5" lean-forward="true" selection-start-line="310" selection-start-column="5" selection-end-line="310" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/User/User.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="37" column="113" lean-forward="true" selection-start-line="37" selection-start-column="26" selection-end-line="37" selection-end-column="113" />
          <folding>
            <element signature="e#52#93#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Frame/Init.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="257">
          <caret line="37" column="45" lean-forward="true" selection-start-line="37" selection-start-column="45" selection-end-line="37" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/js/ysmail.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="10" column="32" lean-forward="true" selection-start-line="10" selection-start-column="32" selection-end-line="10" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/js/jquery.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="19">
          <caret line="11" column="1231" selection-start-line="11" selection-start-column="1231" selection-end-line="11" selection-end-column="1231" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/js/index.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="89" column="27" selection-start-line="89" selection-start-column="27" selection-end-line="89" selection-end-column="27" />
          <folding>
            <element signature="n#style#0;n#button#0;n#li#0;n#!!top" expanded="true" />
            <element signature="e#141#147#1" expanded="true" />
            <element signature="n#style#0;n#span#0;n#li#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#ul#0;n#li#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#div#0;n#div#1;n#div#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Mail/Lists.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="23" column="29" lean-forward="true" selection-start-line="23" selection-start-column="29" selection-end-line="23" selection-end-column="29" />
          <folding>
            <element signature="e#52#93#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/User/Lists.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="380">
          <caret line="21" column="9" selection-start-line="21" selection-start-column="9" selection-end-line="21" selection-end-column="9" />
          <folding>
            <element signature="e#52#93#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Frame/Controller.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="148">
          <caret line="41" selection-start-line="41" selection-end-line="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Frame/Dispatcher.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="104">
          <caret line="120" selection-start-line="120" selection-end-line="120" />
          <folding>
            <element signature="e#33#57#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/guzzlehttp/promises/src/TaskQueue.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="259">
          <caret line="28" selection-start-line="28" selection-end-line="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/guzzlehttp/guzzle/src/Handler/CurlMultiHandler.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="58" selection-start-line="58" selection-end-line="58" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Library/Vestacp.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="35" selection-start-line="35" selection-end-line="35" />
          <folding>
            <element signature="e#36#65#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/proficlos/vestacp-api/src/VestaCP/Client.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="148" selection-start-line="148" selection-end-line="148" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/proficlos/vestacp-api/src/VestaCP/Module/Mails.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="73" selection-start-line="73" selection-end-line="73" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Script/Controller/Server.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="589">
          <caret line="36" column="41" selection-start-line="36" selection-start-column="41" selection-end-line="36" selection-end-column="41" />
          <folding>
            <element signature="e#135#176#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/ysmailclient/.project">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/User/Auth.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="31">
          <caret line="9" column="1" lean-forward="true" selection-start-line="9" selection-start-column="1" selection-end-line="9" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="522">
          <caret line="56" column="41" selection-start-line="56" selection-start-column="41" selection-end-line="56" selection-end-column="41" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>